#### 7.10.2.6 baumslagGroup

Procedure from library `fpalgebras.lib` (see fpalgebras_lib).

Usage:
  baumslagGroup(m,n,d); m an integer, n an integer, d an integer

Return:
  ring

Note:
  - the ring contains the ideal I, which contains the required relations - Baumslag group with the following presentation
  < a, b | a^m = b^n = 1 >
  -d gives the degreebound for the Letterplace ring
  - varying n and m produces a family of examples

Example:

    LIB "fpalgebras.lib";
    def R = baumslagGroup(2,3,4); setring R;
    I;
    ==> I[1]=a*a-1
    ==> I[2]=b*b*b-1

User manual for Singular version 4.4.1, 2025, generated by texi2html.